<?php
// ルート config.php

session_start();

// 1) SQLite 接続（パスを cms/data.db に向ける）
$dbPath = __DIR__ . '/cms/data.db';
$pdo = new PDO('sqlite:' . $dbPath);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// 2) 初回起動時のテーブル作成（必要なら残しておく）
$firstRun = !file_exists($dbPath);
if ($firstRun) {
    $pdo->exec("
      CREATE TABLE IF NOT EXISTS contents (
        id INTEGER PRIMARY KEY AUTOINCREMENT,
        title TEXT NOT NULL,
        body TEXT,
        image TEXT,
        category_id INTEGER,
        created_at DATETIME DEFAULT CURRENT_TIMESTAMP
      );
      CREATE TABLE IF NOT EXISTS categories (
        id INTEGER PRIMARY KEY AUTOINCREMENT,
        name TEXT NOT NULL,
        slug TEXT UNIQUE NOT NULL
      );
      CREATE TABLE IF NOT EXISTS announcements (
        id INTEGER PRIMARY KEY AUTOINCREMENT,
        title TEXT NOT NULL,
        publish_date DATE NOT NULL,
        link TEXT
      );
    ");
}

// 3) 管理画面用認証情報（必要に応じて変更）
define('ADMIN_USER', 'admin');
define('ADMIN_PASS', '0000');

// 4) ログインチェック関数
function isLoggedIn() {
    return !empty($_SESSION['logged_in']);
}
function requireLogin() {
    if (!isLoggedIn()) {
        header('Location: cms/login.php');
        exit;
    }
}
